## cascading.tuple.hadoop
Class DeserializerComparator<T>

    java.lang.Object
      org.apache.hadoop.conf.Configured
          cascading.tuple.hadoop.DeserializerComparator<T>

All Implemented Interfaces:
  Comparator<T>, Configurable, RawComparator<T>

Direct Known Subclasses:
  CoGroupingComparator, GroupingComparator, GroupingSortingComparator, IndexTupleCoGroupingComparator, TupleComparator

    public abstract class DeserializerComparator<T>

extends Configured
implements RawComparator<T>

Class DeserializerComparator is the base class for all Cascading comparator classes.

Constructor Summary
`DeserializerComparator()`

Method Summary
`void` `setConf(Configuration conf)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.io.RawComparator
`compare`

Methods inherited from interface java.util.Comparator
`compare, equals`

Constructor Detail

### DeserializerComparator

    public DeserializerComparator()

Method Detail

### setConf

    public void setConf(Configuration conf)

  Specified by:
    `setConf` in interface `Configurable`
  Overrides:
    `setConf` in class `Configured`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.